|  | Home | Documentation | uddi2__delete_USCOREbinding Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
uddi2__delete_USCOREbinding Class Reference

Schema urn:uddi-org:api_v2:"delete_binding". More...

`#include <uddi_v2.h>`

## Public Member Functions
| uddi2__delete_USCOREbinding (struct soap *)
| Member declared in uddi2-typemap.dat. More...
| uddi2__delete_USCOREbinding (struct soap *, const char *bindingKey)
| Member declared in uddi2-typemap.dat. More...
| uddi2__delete_USCOREbinding (struct soap *, std::vector< char * > bindingKeys)
| Member declared in uddi2-typemap.dat. More...
uddi2__dispositionReport * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat. More...

## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo. More...
std::vector< uddi2__bindingKey > | bindingKey
| Vector of uddi2__bindingKey with length 0..unbounded. More...
char * | generic
| Attribute generic of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"delete_binding".

Represents a request to delete a binding that meets the specified requirements.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137732

## Constructor & Destructor Documentation

uddi2__delete_USCOREbinding::uddi2__delete_USCOREbinding | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Creates an instance of the delete_USCOREbinding class.

uddi2__delete_USCOREbinding::uddi2__delete_USCOREbinding | ( | struct soap * | soap,
|  | const char * | bindingKey
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | bindingKey | a binding key string

Creates an instance of the delete_USCOREbinding class.

uddi2__delete_USCOREbinding::uddi2__delete_USCOREbinding | ( | struct soap * | soap,
|  | std::vector< char * > | bindingKeys
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | bindingKeys | collection of binding keys

Creates an instance of the delete_USCOREbinding class using the specified binding keys.

## Member Function Documentation

uddi2__dispositionReport * uddi2__delete_USCOREbinding::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server
  [in] | authInfo | authorization token provided by the UDDI server

Returns
  A pointer to a uddi2__dispositionReport object or NULL on error

Send a request to a UDDI service to delete a binding that meets the specified requirements.

## Member Data Documentation

char* uddi2__delete_USCOREbinding::authInfo

Element reference "urn:uddi-org:api_v2":authInfo.

Required element

std::vector<uddi2__bindingKey > uddi2__delete_USCOREbinding::bindingKey

Vector of uddi2__bindingKey with length 0..unbounded.

char* uddi2__delete_USCOREbinding::generic

Attribute generic of type xs:string.

Required attribute

struct soap* uddi2__delete_USCOREbinding::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h